import java.util.EmptyStackException;
import java.util.Stack;

class StackDemo {
   static void showpush(Stack var0, int var1) {
      var0.push(new Integer(var1));
      System.out.println("push(" + var1 + ")");
      System.out.println("stack: " + var0);
   }

   static void showpop(Stack var0) {
      System.out.print("pop -> ");
      Integer var1 = (Integer)var0.pop();
      System.out.println(var1);
      System.out.println("stack: " + var0);
   }

   public static void main(String[] var0) {
      Stack var1 = new Stack();
      System.out.println("stack: " + var1);
      showpush(var1, 42);
      showpush(var1, 66);
      showpush(var1, 99);
      showpop(var1);
      showpop(var1);
      showpop(var1);

      try {
         showpop(var1);
      } catch (EmptyStackException var2) {
         System.out.println("empty stack");
      }
   }
}
